SeExpr

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
ExprCBoxWidget Class Reference

`#include <ExprColorCurve.h>`

Inheritance diagram for ExprCBoxWidget:

## Public Member Functions
| ExprCBoxWidget (CCurveScene *curveScene, QWidget *parent=0)
| ~ExprCBoxWidget ()

## Protected Member Functions
virtual void | paintEvent (QPaintEvent *event)

## Private Attributes
CCurveScene * | _curveScene

## Detailed Description

Definition at line 102 of file ExprColorCurve.h.

## Constructor & Destructor Documentation

## ◆ ExprCBoxWidget()

ExprCBoxWidget::ExprCBoxWidget | ( | CCurveScene * | curveScene,
|  | QWidget * | parent = `0`
| ) |  |
| inline

Definition at line 105 of file ExprColorCurve.h.

## ◆ ~ExprCBoxWidget()

ExprCBoxWidget::~ExprCBoxWidget | ( |  | ) |
| inline

Definition at line 106 of file ExprColorCurve.h.

## Member Function Documentation

## ◆ paintEvent()

void ExprCBoxWidget::paintEvent | ( | QPaintEvent * | event | ) |
| protected virtual

Definition at line 303 of file ExprColorCurve.cpp.

References _curveScene, CCurveScene::getPixmap(), and p.

## Member Data Documentation

## ◆ _curveScene

CCurveScene* ExprCBoxWidget::_curveScene
| private

Definition at line 112 of file ExprColorCurve.h.

Referenced by paintEvent().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorCurve.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorCurve.cpp